View Issue Details

IDProjectCategoryView StatusLast Update
0001999SymmetricDSBugpublic2014-10-09 07:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.9 
Target Version3.6.10Fixed in Version3.6.10 
Summary0001999: Server can hang when database is unavailable while attempting to handle connection attempt from client
DescriptionServer can hang when database is unavailable while attempting to handle connection attempt from client

The node concurrency interceptor reserves a connection and then gets channel information from the configuration service. If the call to the configuration service fails, then node's reservation is left stranded.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master fec1fd3b

2014-10-02 16:43:18

chenson

Details Diff
0001999: Server can hang when database is unavailable while attempting to handle connection attempt from client
0001999
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ConcurrentConnectionManager.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/NodeConcurrencyInterceptor.java Diff File

Issue History

Date Modified Username Field Change
2014-10-02 16:42 chenson New Issue
2014-10-02 16:42 chenson Status new => assigned
2014-10-02 16:42 chenson Assigned To => chenson
2014-10-02 16:44 chenson Status assigned => resolved
2014-10-02 16:44 chenson Fixed in Version => 3.6.10
2014-10-02 16:44 chenson Resolution open => fixed
2014-10-02 17:00 chenson Changeset attached => SymmetricDS trunk r8774
2014-10-02 17:00 chenson Changeset attached => SymmetricDS 3.6 r8775
2014-10-09 07:53 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master fec1fd3b